# Privacy Policy (prior to 2022)

!!! warn ""
    Starting January 1, 2022, this policy is replaced by the updated
    [Privacy Policy](/policies/privacy).

As you use our services, we want you to be clear how we’re using
information.

Our Privacy Policy explains:

* What information we collect and why we collect it.
* How we use that information.

## Information we collect

We collect information to provide better services to all of our users.

We collect information in two ways:

* **Information you give us.** For example, many of our services
require you to sign up for a Kandra Labs Zulip Account. When you do,
we’ll ask for personal information, like your name, email address, or
telephone number.

* **Information we get from your use of our services.** We may collect
information about the services that you use and how you use them, like
when you interact with our content.  This information includes:

    * **Device information.** We may collect device-specific
    information (such as your hardware model, operating system
    version, and unique device identifiers). Kandra Labs may associate
    your device identifiers with your Kandra Labs Zulip Account.
    * **Log information.** When you use our services or view content
    provided by Kandra Labs, we may automatically collect and store
    certain information in server logs. This may include:
        * details of how you used our service.
        * Internet protocol address.
        * device event information such as crashes, system activity,
          hardware settings, browser type, browser language, the date
          and time of your request and referral URL.
        * cookies that may uniquely identify your browser or your
          Kandra Labs Zulip Account.

    * **Unique application numbers.**  Certain services include a
     unique application number. This number and information about your
     installation (for example, the operating system type and
     application version number) may be sent to Kandra Labs when you
     install or uninstall that service or when that service
     periodically contacts our servers, such as for automatic
     updates.

    * **Local storage.** We may collect and store information
    (including personal information) locally on your device using
    mechanisms such as browser web storage (including HTML 5) and
    application data caches.

    * **Cookies and anonymous identifiers.** We use various
    technologies to collect and store information when you visit our
    Zulip service, and this may include sending one or more cookies or
    anonymous identifiers to your device. We may also use cookies and
    anonymous identifiers when you interact with services we offer to
    our partners, such as Zulip features that may appear on other
    sites.

## How we use information we collect

We use the information we collect from all of our services to provide,
maintain, protect and improve them, to develop new ones, and to protect Kandra Labs
and our users.

We may use the name you provide for your Kandra Labs Zulip Account across all of the
services we offer that require an account. In addition, we may replace
past names associated with your account so that you are represented
consistently across all our services.  We may show other users your publicly
visible account information, such as your name.

When you contact Kandra Labs, we may keep a record of your communication to help
solve any issues you might be facing. We may use your email address to inform
you about our services, such as letting you know about upcoming changes or
improvements.

We use information collected from cookies and other technologies to improve
your user experience and the overall quality of our services.

We may combine personal information from one service with information,
including personal information, from other Kandra Labs services.

Kandra Labs processes personal information on our servers in many countries
around the world. We may process your personal information on a server located
outside the country where you live.


## Accessing and updating your personal information

Whenever you use our services, we aim to provide you with access to your
personal information. If that information is wrong, we strive to give you ways
to update it quickly or to delete it – unless we have to keep that information
for legitimate business or legal purposes. When updating your personal
information, we may ask you to verify your identity before we can act on your
request.

We may reject requests that are unreasonably repetitive, require
disproportionate technical effort (for example, developing a new system or
fundamentally changing an existing practice), risk the privacy of others, or
would be extremely impractical (for instance, requests concerning information
residing on backup tapes).

Where we can provide information access and correction, we will do so for
free, except where it would require a disproportionate effort. We aim to
maintain our services in a manner that protects information from accidental or
malicious destruction. Because of this, after you delete information from our
services, we may not immediately delete residual copies from our active servers
and may not remove information from our backup systems.


## Information we share

We do not share personal information with companies, organizations and
individuals outside of Kandra Labs unless one of the following circumstances
apply:


* **With your consent.** We will share personal information with
companies, organizations or individuals outside of Kandra Labs when we
have your consent to do so. We require opt-in consent for the sharing
of any sensitive personal information.

* **With domain administrators.** If your Kandra Labs Zulip Account is
managed for you by a domain administrator then your domain
administrator and resellers who provide user support to your
organization will have access to your account information (including
your email and other data). Your domain administrator may be able to:

    * view statistics regarding your account.
    * change your account password.
    * suspend or terminate your account access.
    * access or retain information stored as part of your account.
    * receive your account information in order to satisfy applicable
    law, regulation, legal process or enforceable governmental
    request.
    * restrict your ability to delete or edit information or settings.

    Please refer to your domain administrator’s privacy policy for
    more information.

* **For external processing.** We provide personal information to our
affiliates or other trusted businesses or persons to process it for
us, based on our instructions and in compliance with our Privacy
Policy.

* **For legal reasons.** We will share personal information with
companies, organizations or individuals outside of Kandra Labs if we,
in our sole discretion, determine that that access, use, preservation
or disclosure of the information is necessary to:

    * meet any applicable law, regulation, legal process or
    enforceable governmental request.

    * enforce applicable Terms of Service, including investigation of
    potential violations.

    * detect, prevent, or otherwise address fraud, security or
    technical issues.

    * protect against harm to the rights, property or safety of Kandra
    Labs, our users or the public as required or permitted by law.

We may share aggregated, non-personally identifiable information publicly
and with our partners.  For example, we may share information publicly to show
trends about the general use of our services.

We may share personal information in connection with an acquisition, merger,
or sale of all or a substantial portion of our business, with or to another
company. In any such event, you will receive notice if your data is transferred
and becomes subject to a substantially different privacy policy.

## Application

Our Privacy Policy applies to all of the services offered by Kandra Labs, Inc.
and its affiliates, including services offered on other sites, but excludes
services that have separate privacy policies that do not incorporate this
Privacy Policy.

Our Privacy Policy does not apply to services offered by other companies or
individuals, sites that may include Zulip services, or other sites linked from
our services. Our Privacy Policy does not cover the information practices of
other companies and organizations who advertise our services, and who may use
cookies, pixel tags and other technologies to serve and offer relevant ads.

## Data Protection Officer

To communicate with our Data Protection Officer, please email
data-protection-officer@zulipchat.com.

## GDPR Compliance

See the article on [Zulip's GDPR compliance](/help/gdpr-compliance)
for details on how Kandra Labs and Zulip comply with the General Data
Protection Regulation.

## Changes

Our Privacy Policy may change from time to time.  We will post the latest
version of our privacy policy on this page.

Last modified: May 7, 2021
