# Delete a topic

{!admin-only.md!}

We generally recommend against deleting topics, but there are a few
situations in which it can be useful:

* Clearing out test messages after setting up an organization.

* Clearing out messages from an overly enthusiastic bot.

* Managing abuse.

In most other cases, [renaming a topic](/help/rename-a-topic) is often a
better idea, or just leaving the topic as is. Deleting a topic can confuse
users who come to the topic later via an email notification.

Note that deleting a topic also deletes every message with that topic,
whereas [archiving a stream](/help/archive-a-stream) does not.

### Delete a topic

{start_tabs}

1. Hover over the topic in the **left sidebar**.

1. Click the ellipsis (<i class="zulip-icon zulip-icon-ellipsis-v-solid"></i>).

1. Click **Delete topic**.

1. Approve by clicking **Confirm**.

{end_tabs}

Note that deleting all of the individual messages within a particular
topic also deletes that topic. Structurally, topics are simply an
attribute of messages in Zulip.

## Related articles

* [Edit or delete a message](/help/edit-or-delete-a-message)
* [Archive a stream](/help/archive-a-stream)
* [Message retention policy](/help/message-retention-policy)
